LIB "cusp.lib";
"Demo for the cusp.lib";
"Consider the irreducible plane curve singularity with the Puiseux exponents:";
intvec exp=(28,64,66,77);
"This corresponds to the Puiseux pairs:";
puiseux_exp2pair(exp);	
"The multiplicity sequence is:";
puiseux_exp2mult(exp);	
"The generators of the semi-group are:";
puiseux_exp2semi_gen(exp);	
"The delta-invariant of the singularity is:";
delta_inv(exp);
"Its spectrum is (a ring of char 0 must be active):";
ring R=0,(x,y),ds;
spprint(spectrum_plane(exp));
"Finally, its resolution graph is ";
"(saved in the files cusp_graph.dot and cusp_graph.ps)";
"(displayed by kghostview)";
puiseux_exp2graph(exp,"cusp_graph");
quit;

